#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "regiongrabber.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void screenshotGrabbed(const QPixmap &pixmap);

private slots:
    void on_buttonTakeScreenshot_clicked();

private:
    void grabScreenshot();
    void dbgLog(QString msg);

    Ui::MainWindow *ui;
    RegionGrabber *m_regionGrabber = NULL;
};

#endif // MAINWINDOW_H
